
package org.sky.scientific.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import jakarta.servlet.http.HttpServletResponse;
import org.sky.core.mp.base.BaseService;
import org.sky.scientific.pojo.entity.XmJdxbgEntity;
import org.sky.scientific.pojo.vo.XmJdxbgVO;

import java.io.FileOutputStream;
import java.util.List;

/**
 * 科研项目-项目实施-阶段性报告 服务类
 *
 * @author Kd
 * @since 2025-07-01
 */
public interface IXmJdxbgService extends BaseService<XmJdxbgEntity> {

	IPage<XmJdxbgVO> selectByCondition(IPage<XmJdxbgVO> page, XmJdxbgEntity entity);

	/**
	 * 提交
	 * @param xmJdxbg
	 * @return
	 */
	boolean submit(XmJdxbgEntity xmJdxbg);

	boolean deleteByIds(List<Long> ids);

	XmJdxbgVO selectById(Long id);

	/**
	 * 导出项目实施列表
	 * @param response
	 * @param dto
	 */
    void exportXmJdxbg(HttpServletResponse response, XmJdxbgVO dto);

	/**
	 * 导出单个实施报告
	 * @param outputStream
	 * @param xmJdxbgVO
	 */
	void exportXmJdxbgDoc(FileOutputStream outputStream, XmJdxbgVO xmJdxbgVO);
}
